﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using DotNetty.Handlers.Timeout;
using DotNettyFrom.util;

namespace DotNettyFrom.generatecmd
{
    public class CmdGenetor
    {
        public static CmdGenetor Instance = new CmdGenetor();
        public string DeviceId { get; set; }


        public static CmdGenetor GetInstance()
        {
            return Instance;
        }

        public CmdGenetor SetDeviceId(string deviceId)
        {
            this.DeviceId = deviceId;
            return this;
        }

        private CmdGenetor()
        {
        }


        public string GetLoginCmd(string ccid)
        {
            string cmd = DeviceId + "820014" + ccid;
            cmd = "7e7e7e" + CmdUtil.CalcCrcCode(cmd);
            return cmd;
        }

        public string GetHeartbeat()
        {
            //7e7e7e00000000000184000085
            string cmd = DeviceId + "840000";
            cmd = "7e7e7e" + CmdUtil.CalcCrcCode(cmd);
            return cmd;
        }
    }
}